// JavaScript Document
function getValueOfRadioGroup(obj)
{
	for(var i = 0; i < obj.length; i++)
		if (obj[i].checked)
			return obj[i].value;
}
function showMessageBox()
{
	var messageBox = document.getElementById('error-message');
	var realStyle = getComputedStyle(messageBox);
	var realOpacity = parseFloat(realStyle['opacity']);
	var opacityTimerId = setInterval(function()
	{	
		realOpacity += 0.01;
		messageBox.style.opacity = realOpacity;
		if (realOpacity >= 1)
			clearInterval(opacityTimerId);
	}, 20);
}
function hideMessageBox()
{
	var messageBox = document.getElementById('error-message');
	var realStyle = getComputedStyle(messageBox);
	var realOpacity = parseFloat(realStyle['opacity']);
	var opacityTimerId = setInterval(function()
	{	
		realOpacity -= 0.01;
		messageBox.style.opacity = realOpacity;
		if (realOpacity < 0)
			clearInterval(opacityTimerId);
	}, 20);
}
window.onload = function()
{
	var form = document.forms.register;
	var messageBox = document.getElementById('error-message');
	var headMessageBox = document.getElementById('head');
	var oldX, oldY, isPressed = false;
	
	headMessageBox.onmousedown = function(event)
	{
		oldX = event.pageX;
		oldY = event.pageY;
		isPressed = true;
	}
	var myMouseMove = function(event)
	{
		if (!isPressed) return;
		var newX = event.pageX;
		var newY = event.pageY;
		var dx = newX - oldX;
		var dy = newY - oldY;
		var realStyle = getComputedStyle(messageBox);
		var realX = parseInt(realStyle['left']);
		var realY = parseInt(realStyle['top']);
		messageBox.style['left'] = realX + dx + "px";
		messageBox.style['top'] = realY + dy + "px";
		oldX = newX;
		oldY = newY;
	}
	headMessageBox.onmousemove = myMouseMove;
	document.body.onmousemove = myMouseMove;
	headMessageBox.onmouseup = function()
	{
		isPressed = false;
	}
	form.onsubmit = function()
	{
		var login = form.login;
		var password1 = form.password1;
		var password2 = form.password2;
		var country = form.country;
		var lang1 = form.lang1;
		var lang2 = form.lang2;
		var lang3 = form.lang3;
		var gendersCollection = form.gender;
		var reg = /^([\w]+[\w\-\.]+)+@(?:[\da-z\-]+\.)+[a-z]{2,8}$/;
		var errors = [];
		if (!reg.test(login.value))
			errors.push('Некорректный логин');
		if (password1.value.length < 3)
			errors.push('Слишком короткий пароль');
		if (password1.value != password2.value)
			errors.push('Пароли не совпадают');
		if (country.value == 'no')
			errors.push('Страна не выбрана');
		var gender = getValueOfRadioGroup(gendersCollection);
		if (typeof(gender) == "undefined")
			errors.push('Пол не выбран');
		if (errors.length > 0)
		{
			var errorString = errors.join("<br />");
			document.getElementById("body").innerHTML = errorString;
			//document.getElementById("error-message").style.display = 'block';
			showMessageBox();
			return false;
		} else
		{
			//document.getElementById("error-message").style.display = 'none';
			hideMessageBox();
			return false;
		}
		
	}
};

